You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2019-02-19 13:16:21

viktor_sc
Guest
Registered: 2018-06-26
Posts: 4

CSS error after update from 9.3.3 to 9.4

Hi there,

I run GLPI on my synology NAS ("web station") where the DB is hosted an a Maria DB. It worked fine so far.
Now I updated to 9.4 by copying the files to the webserver directory and running the application in the browser. It actually updated something and said successfull.

Now, I get an error (in the browsers debug info) when I open it, saying:
Failed to load resource: the server responded with a status of 500 (Internal Server Error)
/glpi/front/css.php?file=main_styles&v=9.4.0:1

It is very slow and no css is loaded, so it looks really bad.

Any idea what to do?

Thanks,
Viktor

Offline

#2 2019-03-04 12:26:12

falco2001
Guest
Registered: 2016-02-11
Posts: 95

Re: CSS error after update from 9.3.3 to 9.4

did you find a solution I have same problem: the main_styles file does not exist
Thanks

Offline

#3 2019-03-04 15:54:56

viktor_sc
Guest
Registered: 2018-06-26
Posts: 4

Re: CSS error after update from 9.3.3 to 9.4

Hi,
unfortunately not yet. But I didn't try it further as I had no time.

Thanks,
Viktor

Offline

#4 2019-03-06 13:55:33

scmi
Guest
From: Germany
Registered: 2009-02-10
Posts: 74

Re: CSS error after update from 9.3.3 to 9.4

hi we have same problem, as workaround we Enable high contrast


Prod GLPI: 9.4.1.1 / Apache 2.4.25 (Debian) /PHP 7.0.30/ Server Software: Debian 9.1/Server Version: 10.1.26-MariaDB-0+deb9u1

Offline

#5 2019-04-10 13:25:14

viktor_sc
Guest
Registered: 2018-06-26
Posts: 4

Re: CSS error after update from 9.3.3 to 9.4

Hi,

did somebody find a solution?
Even in 9.4.1 I can't find any information regarding this in the release notes.

Thanks

Offline

#6 2019-04-11 22:06:39

Ventura
Member
Registered: 2019-04-11
Posts: 1

Re: CSS error after update from 9.3.3 to 9.4

I was having the same problem here. In the apache error logs, I found the following:

...PHP Fatal error:  Maximum execution time of 30 seconds exceeded in /var/www/html/glpi/vendor/leafo/scssphp/src/Parser.php on line 875, referer:...

So, I changed the value of "max_execution_time" in the file php.ini (/etc/php/7.2/apache2) from 30 to 0. This value defines how seconds PHP has to run a script. "0" means no limits at all.. Problem solved, in my case.

Offline

#7 2019-04-25 14:35:53

blumfontein
Member
Registered: 2018-09-26
Posts: 1

Re: CSS error after update from 9.3.3 to 9.4

Hi,

I also faced this issue after the upgrade. Setting max_execution_time to 0 doesn't fix the issue, because GLPI tries to compile css in the front/css.php on every page hit, which leads to very slow performance. My workaround is:

1. Set max_execution_time to 0 either in php.ini or via ini_set('max_execution_time', 0); directly in the front/css.php.
2. Go for /glpi/front/css.php?file=main_styles&v=9.4.2 in the browser and wait for content loaded.
3. Copy all css content, go to front/css.php in IDE, comment out everything except Content-Type header setting, and print plain css content here.
4. Revert max_execution_time to 30, if you set it in php.ini.

Another workaround is to create custom css file with that css content, and set some kind of rewrite rule in nginx (apache) from location /front/css.php to your custom css file. In nginx something like this:

location /front/css.php
{
    try_files /path/to/my/css.css
}

Last edited by blumfontein (2019-04-25 14:46:55)

Offline

Board footer

Powered by FluxBB